/*
	tdoor.h - TDoor header file
	Copyright (c) 1992-1994 By TriSoft
*/
#ifndef __TRIDOORH__
#define __TRIDOORH__

#define TRUE 1
#define FALSE 0
#define NO_PARITY 0
#define EVEN_PARITY 1
#define ODD_PARITY 2

extern char TDUserName[81], TDUserFirstName[81], TDDoorName[81];
extern char TDCityState[81], TDPhoneNumber[81], TDBBSName[81];
extern char TDSysopName[81], TDAlias[81];
extern int TDAnsiColor, TDSecurityLevel, TDMinutesLeft;
extern int TDSerialPort, TDNode, TDErrorCorrecting;
extern long TDBaudRate, TDLockedBaudRate;
extern void (*TDDropToDOS)(void);
extern int TDNonStandardIRQ;
extern int TDEmulatorType, TDRIPScrip;

#ifdef __cplusplus
extern "C" {
#endif
void TDBeepRemote(void);
void TDClrScr(void);
void TDCommClose(void);
int TDCommGetch(void);
int TDCommIsCarrier(void);
int TDCommKeyPressed(void);
void TDCommModemString(char *);
void TDCommOpen(int);
void TDCommPutch(int);
void TDCommPuts(char *);
void TDCommSetBaudRate(long);
void TDCommSetDataFormat(int, int, int);
void TDCommSetDTR(int);
void TDCommSetFIFO(int);
void TDCommSetPort(long, int, int, int);
int TDDetectANSI(void);
int TDDetectFOSSIL(void);
int TDDetectRIPScrip(void);
void TDDisplayFile(char *);
void TDDisplayBreakableFile(char *);
void TDDisplayRIPString(char *s);
void TDDisplayRIPFile(char *filename);
int TDGetBackground(void);
int TDGetForeground(void);
int TDGetch(void);
char *TDGets(char *, int);
void TDGotoXY(int, int);
void TDInitialize(int argc, char *argv[]);
int TDKeyPressed(void);
void TDHangUp(void);
int TDPrintf(char *, ...);
void TDPutch(int);
void TDPuts(char *);
void TDSetColor(int, int);
int TDTimeLeft(void);
int TDTimeOn(void);
#ifdef __cplusplus
}
#endif

#endif
